// Access to Bootstrap variables and mixins
@import '~ChillMainAssets/module/bootstrap/shared';
@import '~ChillPersonAssets/chill/scss/mixins.scss';
@import 'bootstrap/scss/_badge.scss';

//// ACTIVITY CREATION
// first step: select type page

div.new-activity-select-type {
   div.activity-row {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: flex-start;
      gap: 12px;
      margin-bottom: 30px;

      div.bloc {
         width: 200px;
         align-self: flex-end;
         height: 140px;
         display: flex;
         justify-content: center;
         align-items: center;
      }
   }
}

//// ACTIVITY LIST PAGE
// precise dashboard specific details

p.date-label {
   display: inline-block;
   margin: 0 0.5em 0 0;
   font-weight: 700;
   font-size: 18pt;
}
div.dashboard,
h4.badge-title,
h3.badge-title,
h2.badge-title {
   ul.list-content {
      font-size: 70%;
      list-style-type: none;
      padding-left: 0;
      margin: 0;
      li {
         margin-bottom: 0.2em;
         // exception: change bg color for action badges above dashboard
         .bg-light {
               background-color: $chill-light-gray !important;
         }
      }
   }
}

//// ACTIVITY SHOW AND FORM PAGES
// Exceptions for flex-bloc in concerned-groups

div.flex-bloc.concerned-groups {
   margin-top: 1em;
   div.item-bloc {
      flex-grow: 0; flex-shrink: 0; flex-basis: 25%; //4 blocs
      ul.list-content {
         list-style-type: none;
         padding-left: 0;
         li {
            margin-bottom: 0.2em;
            a {
               color: $white;
               cursor: pointer;
               &:hover {
                  color: #ffffffab;
               }
            }
         }
      }
   }
   &.person div.item-bloc {
      flex-basis: 33%; //3 blocs
   }
}

/// CHILL ENTITY RENDER BOX
.chill-entity {

   /// ACTIVITY-REASON
   &.entity-activity-reason {
      margin-right: 0.3em;
      font-size: 120%;
   }
}

/// DOCUMENT LIST IN ACTIVITY ITEM
li.document-list-item {
    display: flex;
    width: 100%;
    justify-content: space-between;
    margin-bottom: 0.3rem;
}

.badge-activity-type {
    display: inline-block;
    background-color: #f3f3f3;

    .title_label {
        @include chill_badge(#9acd32);
    }

    .title_action {
        padding: var(--bs-badge-padding-y) var(--bs-badge-padding-x);
        margin-right: 1rem;

        font-size: var(--bs-badge-font-size);
        font-weight: var(--bs-badge-font-weight);
        line-height: 1;
        color: var(--bs-badge-color);
        text-align: center;
        white-space: nowrap;
        vertical-align: baseline;
    }
}
